GDB (xrefs)

Macros | Enumerations
/tmp/gdb-8.1/gdb/spu-tdep.h File Reference

Go to the source code of this file.

## Macros
#define | SPU_NUM_REGS 130
#define | SPU_NUM_PSEUDO_REGS 6
#define | SPU_NUM_GPRS 128
#define | SPUADDR(spu, addr) ((spu) != -1? (ULONGEST)1 << 63 | (ULONGEST)(spu) << 32 | (addr) : (addr))
#define | SPUADDR_SPU(addr)
#define | SPUADDR_ADDR(addr) (((addr) & (ULONGEST)1 << 63)? (ULONGEST)(addr) & 0xffffffff : (addr))
#define | SPU_OVERLAY_LMA ((ULONGEST)1 << 62)

## Enumerations
enum | spu_regnum { SPU_LR_REGNUM = 0, SPU_RAW_SP_REGNUM = 1, SPU_ARG1_REGNUM = 3, SPU_ARGN_REGNUM = 74, SPU_SAVED1_REGNUM = 80, SPU_SAVEDN_REGNUM = 127, SPU_FP_REGNUM = 127, SPU_ID_REGNUM = 128, SPU_PC_REGNUM = 129, SPU_SP_REGNUM = 130, SPU_FPSCR_REGNUM = 131, SPU_SRR0_REGNUM = 132, SPU_LSLR_REGNUM = 133, SPU_DECR_REGNUM = 134, SPU_DECR_STATUS_REGNUM = 135 }

## Macro Definition Documentation

## ◆ SPU_NUM_GPRS

#define SPU_NUM_GPRS 128

Definition at line 25 of file spu-tdep.h.

Referenced by ppu2spu_unwind_register(), spu_analyze_prologue(), spu_fetch_inferior_registers(), spu_fetch_registers(), spu_frame_unwind_cache(), spu_register_type(), spu_store_inferior_registers(), spu_store_registers(), and spu_value_from_register().

## ◆ SPU_NUM_PSEUDO_REGS

#define SPU_NUM_PSEUDO_REGS 6

Definition at line 24 of file spu-tdep.h.

Referenced by spu_gdbarch_init().

## ◆ SPU_NUM_REGS

#define SPU_NUM_REGS 130

Definition at line 23 of file spu-tdep.h.

Referenced by spu_gdbarch_init().

## ◆ SPU_OVERLAY_LMA

#define SPU_OVERLAY_LMA ((ULONGEST)1 << 62)

Definition at line 115 of file spu-tdep.h.

Referenced by spu_overlay_new_objfile().

## ◆ SPUADDR

#define SPUADDR | ( |  | spu,
|  |  | addr
| ) |  | ((spu) != -1? (ULONGEST)1 << 63 | (ULONGEST)(spu) << 32 | (addr) : (addr))

Definition at line 104 of file spu-tdep.h.

Referenced by spu_dis_asm_print_address(), spu_dummy_id(), spu_frame_unwind_cache(), spu_get_longjmp_target(), spu_integer_to_address(), spu_overlay_update_osect(), spu_pointer_to_address(), spu_read_pc(), spu_relocate_main_executable(), spu_relocate_section_addresses(), spu_software_single_step(), spu_unwind_pc(), and spu_unwind_sp().

## ◆ SPUADDR_ADDR

#define SPUADDR_ADDR | ( |  | addr | ) | (((addr) & (ULONGEST)1 << 63)? (ULONGEST)(addr) & 0xffffffff : (addr))

Definition at line 112 of file spu-tdep.h.

Referenced by spu_address_to_pointer(), spu_frame_unwind_cache(), spu_push_dummy_call(), spu_software_single_step(), spu_write_pc(), and spu_xfer_partial().

## ◆ SPUADDR_SPU

#define SPUADDR_SPU | ( |  | addr | ) |

Value:
(((addr) & (ULONGEST)1 << 63) \
? (int) ((ULONGEST)(addr) >> 32 & 0x3fffffff) \
: -1)
ULONGEST
unsigned long long ULONGEST
Definition: common-types.h:53

Definition at line 107 of file spu-tdep.h.

Referenced by append_ocl_sos(), gdb_print_insn_spu(), spu_gdbarch_id(), spu_objfile_from_frame(), spu_overlay_update_osect(), spu_region_ok_for_hw_watchpoint(), spu_search_memory(), spu_software_single_step(), and spu_xfer_partial().

## Enumeration Type Documentation

## ◆ spu_regnum

enum spu_regnum

Enumerator
SPU_LR_REGNUM |
SPU_RAW_SP_REGNUM |
SPU_ARG1_REGNUM |
SPU_ARGN_REGNUM |
SPU_SAVED1_REGNUM |
SPU_SAVEDN_REGNUM |
SPU_FP_REGNUM |
SPU_ID_REGNUM |
SPU_PC_REGNUM |
SPU_SP_REGNUM |
SPU_FPSCR_REGNUM |
SPU_SRR0_REGNUM |
SPU_LSLR_REGNUM |
SPU_DECR_REGNUM |
SPU_DECR_STATUS_REGNUM |

Definition at line 28 of file spu-tdep.h.